### Struct

# FwupdPlugin StructDs20

since: 1.0

#### Description

    struct FuStructDs20 {
      GByteArray* buf;
      guint refcount;
    }

No description available.

###### Structure members

`buf`
  No description available.
`refcount`
  No description available.

Available since: 1.0

#### Functions

###### fu_struct_ds20_new

No description available.

since: 1.0

###### fu_struct_ds20_parse_stream

No description available.

since: 1.0

#### Instance methods

###### fu_struct_ds20_get_alt_code

No description available.

since: 1.0

###### fu_struct_ds20_get_guid

No description available.

since: 1.0

###### fu_struct_ds20_get_platform_ver

No description available.

since: 1.0

###### fu_struct_ds20_get_total_length

No description available.

since: 1.0

###### fu_struct_ds20_get_vendor_code

No description available.

since: 1.0

###### fu_struct_ds20_ref

No description available.

since: 1.0

###### fu_struct_ds20_set_alt_code

No description available.

since: 1.0

###### fu_struct_ds20_set_guid

No description available.

since: 1.0

###### fu_struct_ds20_set_platform_ver

No description available.

since: 1.0

###### fu_struct_ds20_set_total_length

No description available.

since: 1.0

###### fu_struct_ds20_set_vendor_code

No description available.

since: 1.0

###### fu_struct_ds20_unref

No description available.

since: 1.0